%global srcname ccdproc
%global sum Astropy affiliated package for reducing optical/IR CCD data

Name:           python-%{srcname}
Version:        0.3.3
Release:        2%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-astropy python3-astropy

%description
The ccdproc package is a collection of code that will be helpful in basic CCD
processing. These steps will allow reduction of basic CCD data as either a
stand-alone processing or as part of a pipeline.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-astropy

%description -n python2-%{srcname}
The ccdproc package is a collection of code that will be helpful in basic CCD
processing. These steps will allow reduction of basic CCD data as either a
stand-alone processing or as part of a pipeline.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-astropy

%description -n python3-%{srcname}
The ccdproc package is a collection of code that will be helpful in basic CCD
processing. These steps will allow reduction of basic CCD data as either a
stand-alone processing or as part of a pipeline.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license licenses/LICENSE.rst
%doc README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license licenses/LICENSE.rst
%doc README.rst
%{python3_sitelib}/*

%changelog
* Mon Nov 30 2015 Christian Dersch <lupinix@mailbox.org> - 0.3.3-2
- fixed requirements

* Sun Nov 22 2015 Christian Dersch <lupinix@mailbox.org> - 0.3.3-1
- initial spec


